Index: Run/run.sh
===================================================================
--- Run/run.sh	(revision 0c8c06806482ece7f69373bbc9c34367dc0dda54)
+++ Run/run.sh	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
@@ -38,5 +38,5 @@
 OUTPUTDIR=None
 PP_ID=None
-JOB_TEMPLATE='jobscript.template' 
+JOB_TEMPLATE='submitscript.template' 
 CONTROLFILE='CONTROL_EA5' 
 DEBUG=0
Index: Source/Python/Mods/disaggregation.py
===================================================================
--- Source/Python/Mods/disaggregation.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
+++ Source/Python/Mods/disaggregation.py	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
@@ -18,4 +18,7 @@
 #          to a new module named disaggregation
 #        - added the new disaggregation method for precipitation
+#
+#    June 2020 - Anne Philipp (University of Vienna):
+#        - reformulated formular for dapoly
 #
 # @License:
@@ -92,10 +95,9 @@
 
     """
-
-    pya = (alist[3] - alist[0] + 3. * (alist[1] - alist[2])) / 6.
-    pyb = (alist[2] + alist[0]) / 2. - alist[1] - 9. * pya / 2.
-    pyc = alist[1] - alist[0] - 7. * pya / 2. - 2. * pyb
-    pyd = alist[0] - pya / 4. - pyb / 3. - pyc / 2.
-    nfield = 8. * pya + 4. * pyb + 2. * pyc + pyd
+    
+    nfield = -1./12.*alist[0] + \
+              7./12.*alist[1] + \
+              7./12.*alist[2] - \
+              1./12.*alist[3]
 
     return nfield
Index: Source/Python/_config.py
===================================================================
--- Source/Python/_config.py	(revision 5f678830f81aa67f5f7f986a9ce4b1c1f5a029ea)
+++ Source/Python/_config.py	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
@@ -7,4 +7,6 @@
 #
 # @Change History:
+#      June 2020 - Anne Philipp
+#         - changed template filenames to .template
 #
 # @License:
Index: Source/Python/install.py
===================================================================
--- Source/Python/install.py	(revision 5f678830f81aa67f5f7f986a9ce4b1c1f5a029ea)
+++ Source/Python/install.py	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
@@ -17,4 +17,9 @@
 #        - splitted install function into several smaller pieces
 #        - use of tarfile package in python
+#    June 2020 - Anne Philipp
+#        - renamed "convert" functions to "fortran" functions
+#        - reconfigured mk_tarball to select *.template files instead 
+#          of *.nl and *.temp
+#        - added check for makefile settings
 #
 # @License:
@@ -373,7 +378,5 @@
                  for x in UioFiles(_config.PATH_REL_TEST, '*').files]
     tempfiles = [os.path.relpath(x, ecd)
-                 for x in UioFiles(_config.PATH_REL_TEMPLATES, '*.temp').files]
-    nlfiles = [os.path.relpath(x, ecd)
-               for x in UioFiles(_config.PATH_REL_TEMPLATES, '*.nl').files]
+                 for x in UioFiles(_config.PATH_REL_TEMPLATES, '*.template').files]
     gribtable = [os.path.relpath(x, ecd)
                  for x in UioFiles(_config.PATH_REL_TEMPLATES, '*grib*').files]
@@ -387,5 +390,5 @@
 
     # concatenate single lists to one for a better looping
-    filelist = pyfiles + pytestfiles + controlfiles + tempfiles + nlfiles + \
+    filelist = pyfiles + pytestfiles + controlfiles + tempfiles + \
                ffiles + gribtable + hfiles + makefiles + ecmwf_env_file + \
                runfile + jobdir + testfiles +\
Index: Source/Python/submit.py
===================================================================
--- Source/Python/submit.py	(revision 5f678830f81aa67f5f7f986a9ce4b1c1f5a029ea)
+++ Source/Python/submit.py	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
@@ -21,4 +21,7 @@
 #        - splitted submit function to use genshi templates for the
 #          job script and avoid code duplication
+#    June 2020 - Anne Philipp
+#        - changed finale job_file to filename from config file
+#          instead of generating from the template filename
 #
 # @License:
@@ -72,6 +75,4 @@
 from Mods.get_mars_data import get_mars_data
 from Mods.prepare_flexpart import prepare_flexpart
-#from Classes.ControlFile import ControlFile
-
 
 # ------------------------------------------------------------------------------
@@ -151,5 +152,5 @@
 
         job_file = os.path.join(_config.PATH_JOBSCRIPTS,
-                                jtemplate[:-5] + '.ksh')
+                                _config.FILE_JOB_OD)
 
         # divide time periode into specified number of job chunks
@@ -189,5 +190,5 @@
 
         job_file = os.path.join(_config.PATH_JOBSCRIPTS,
-                                jtemplate[:-5] + 'oper.ksh')
+                                _config.FILE_JOB_OP)
 
         c.start_date = '${MSJ_YEAR}${MSJ_MONTH}${MSJ_DAY}'
@@ -214,5 +215,5 @@
     ----------
     jtemplate : str
-        Job template file from sub-directory "_templates" for
+        Job template file from sub-directory "Templates" for
         submission to ECMWF. It contains all necessary
         module and variable settings for the ECMWF environment as well as
Index: Templates/jobscript.template
===================================================================
--- Templates/jobscript.template	(revision None)
+++ Templates/jobscript.template	(revision a916e8fbcb024e1f917a18325ee73c903076225c)
@@ -49,6 +49,6 @@
 
 cd $$$${SCRATCH}
-mkdir -p python$$$$$$$$
-cd python$$$$$$$$
+mkdir -p extract$$$$$$$$
+cd extract$$$$$$$$
 
 export CONTROL=CONTROL
